import { TableCellInnerFormat, TableSelection } from 'quill-table-up';
type TPoint = {
    x: number;
    y: number;
};
declare class AEditorTableSelection extends TableSelection {
    private resolveSelectedCellsFromBoundary;
    computeSelectedTds(startPoint: TPoint, endPoint: TPoint): TableCellInnerFormat[];
    tableSelectHandler(mousedownEvent: MouseEvent): void;
    updateWithSelectedTds(): void;
}
export default AEditorTableSelection;
